;-------------------------------------------------------------------------------
; Asussetup.ini
;
; Copyright (c) ASUSTek COMPUTER INC.  All Rights Reserved.
;-------------------------------------------------------------------------------

[Root]
InstallType = 0

[OS_Language_Tag]

WNT_10.0P_11_64 = Win11_64
WNT_10.0P_11_64_MCE = Win11_64
WNT_10.0H_11_64 = Win11_64
WNT_10.0H_11_64_MCE = Win11_64


0404 = TChinese
0C04 = TChinese  ; HK
1404 = TChinese

0409 = English
0804 = SChinese  ; Simplified
1004 = SChinese

040C = French    ; French
0407 = German    ; German
0411 = Japanese  ; Japanese

0809 = English
1009 = English
1409 = English
0C09 = English
1809 = English
1C09 = English


10 = Italian
12 = Korean
0A = Spanish
0816 = Portuguese
13 = Dutch
0416 = Brazil
1F = Turkish
1E = Thai
05 = Czech
1B = Slovak
0E = Hungarian
01 = Arabic
06 =  Danish  ; Danish
0E = Hungarian
14 =  Norwegian  ; Norwegian
0415 = Polish  ; Polish
19 = Russian
0A = Spanish
1B = Slovak
1E = Thai
1D =  Swedish  ; Swedish
0B =  Finnish  ; Finnish
22=Ukrainian

[InstallInfo]
InstallMethod = 0
PassWHQL = 1
PassVistaWHQL = 1
InstallPath = .\
InstallRun = SilentInstall.cmd
Version = 6102.24.145.100
;RTWlanE_WindowsDriver_6102.24.145.100_Drv_3.00.0046.L(236792)
;ID =
HardwareID = PCI\VEN_10EC&DEV_8922, PCI\VEN_10EC&DEV_A922
;VendorProductKey = Realtek
;HideInRecovery = 0
;ShowWaitingWindow = 0
DriverDate = 10/21/2024
;SWID = 
CHIDs={9c5f667a-62d0-591c-b0c4-597056debb57}, {3696F7F4-78FA-50E2-B156-20039EB9B968}           ;<- Manufacturer + Family



PassWHQL = 1
PassVistaWHQL = 1
SoftwareType = 1

;WaitBeforeInstall = 5
;WaitAfterInstall = 5
UpgradeType = 0

InstallReboot     = 0

SilentInstallPath = .\
SilentInstallRun  = SilentInstall.cmd
UninstallReboot     = 0
SilentUninstallPath =
SilentUninstallRun  =

InstallFinishType = 2
InstallFinishRegistryValueType = 
InstallFinishRegistryPath      = 
InstallFinishRegistryValueName = 
InstallFinishRegistryValue     = 

InstallProcessCount = 1
;InstallProcess1ClassName   = InstallShield_Win
InstallProcess1CaptionName = Realtek PCI-E
InstallProcess2ClassName   =
InstallProcess2CaptionName =
InstallFinishMessageType =
InstallFinishMessage =
InstallFinishTimeOutSecond = 360

UninstallFinishType =
UninstallFinishRegistryValueType =
UninstallFinishRegistryPath      =
UninstallProcessCount =
UninstallProcess1ClassName   =
UninstallProcess1CaptionName =
UninstallProcess2ClassName   =
UninstallProcess2CaptionName =
UninstallFinishMessageType =
UninstallFinishMessage =
UninstallFinishTimeOutSecond =

ExistCount = 1
Exist1Type = 3
;Exist2Type = 2
;Exist1RegistryPath      = 
;Exist1RegistryValueName = 
;Exist1FilePath = %WINDIR%\system32\drivers\Qcamain10x64.sys

VersionCount = 1
Version1Type = 3
;Version2Type = 2
;Version1RegistryPath      =
;Version1RegistryValueName =
;Version1FilePath = %WINDIR%\system32\drivers\Qcamain10x64.sys


[Language_Default]
Title = ASUS Wi-Fi Driver
Description = Install ASUS Wi-Fi Driver.
Context= Improve system stability.

[Language_German]
Title  = ASUS Wi-Fi Treiber
Description  = ASUS Wi-Fi Treiber installieren.
Context= Improve system stability.

[Language_French]
Title  = ASUS Wi-Fi Driver
Description  = Installer Le Pilote Wi-Fi.
Context= Improve system stability.

[Language_Russian]
Title  = драйвер Wi-Fi ASUS
Description = установить драйвер ASUS Wi-Fi.
Context= Improve system stability.

[Language_Korean]
Title   = ASUS Wi-Fi 드라이버
Description  = ASUS Wi-Fi 드라이버 설치.
Context= Improve system stability.

[Language_SChinese]
Title  = ASUS Wi-Fi 驱动程序
Description  = 安装 ASUS Wi-Fi 驱动程序。
Context= Improve system stability.

[Language_Japanese]
Title  = ASUS無線LANドライバ
Description  = ASUS無線LANドライバをインストールする。
Context= Improve system stability.

[Language_Spanish]
Title  = ASUS Controlador Del Wi-Fi
Description = Instalar El Controlador Wi-Fi.
Context= Improve system stability.

[Language_TChinese]
Title  = ASUS Wi-Fi 驅動程式
Description  = 安裝 ASUS Wi-Fi 驅動程式。
Context= Improve system stability.


;[WinNT51P_English]
Title = ASUS Wi-Fi Driver
Description = Install ASUS Wi-Fi Driver.


[HardWareID]
HardWareID_NUM=1
HID(1)_ID=PCI\VEN_10EC&DEV_B822&SUBSYS_87461043          ;; HardwareID
HID(2)_ID=PCI\VEN_10EC&DEV_B822                          ;; HardwareID



[OperationID]
OperationID_NUM=1
OID(1)_ID= STRIX Z270G GAMING<R>
OID(2)_ID= MAXIMUS VIII FORMULA<R>
OID(3)_ID= STRIX Z270E GAMING<R>

;OID(4)_ID= PRIME Z270-A<R>
;OID(5)_ID= PRIME Z270-AR<R>


[ConditionTable]                                               ;; SCD原本製作時在\BIN目錄下Ascdinst.ini中的參數，搬移到每個driver目錄中。
Number = 100
Cond(1)=ASCDENUM.DLL,HID(1)_ID 
Cond(2)=ASCDENUM.DLL,HID(2)_ID                              
Cond(3)=MB_NAME, OID(1)_ID                                    ; 機種名稱
Cond(4)=MB_NAME, OID(2)_ID
Cond(5)=MB_NAME, OID(3)_ID
Cond(30)_ID=NONE, Cond(1) || Cond(2) || Cond(3) || Cond(4) || Cond(5)       


[ItemInfo]
;======= ASUS Wi-Fi Driver ==============================
Condition = 30
Tab = 0
Path   = ..\Drivers\BT_WiFi\LITEON\WIFI\
FileListName = Wi-Fi Driver V2023.46.1031.2016 for Windows 7 32bit & 64bit, Windows 8.1 64bit, Windows 10 64bit.


[LIVEUPDATE]
L_PrePatch_COMMAND=
L_PostPatch_COMMAND=
L_AsIdent_KEY=
L_Severity=Optional
L_Reboot=0
L_Downgradable=0
L_UninstallReboot=0 
L_PrePatchReboot=0

[LIVEUPDATE_HID]
HardWareID_NUM=1
HID(1)_ID=PCI\VEN_10EC&DEV_B822
HID(1)_VERSION=2023.46.1031.2016
HID(1)_DATE=11/30/2016




[LIVEUPDATE_DEP]
DependenceFile_NUM=0
DEP(1)_FILE=
DEP(2)_FILE=





